////////////////////////////////////////////////////////////////////////////////
//  
//  BlurryNSWindow.h
//  
//  KPToolbox
//  
//  Created by Konstantin Pavlikhin on unknown.
//  
////////////////////////////////////////////////////////////////////////////////

#import <AppKit/AppKit.h>

typedef void* CGSConnection;

typedef void* CGSWindowFilterRef;

typedef int CGSWindowID;


extern OSStatus CGSNewConnection(const void** attributes, CGSConnection* id);

extern CGError CGSNewCIFilterByName(CGSConnection cid, CFStringRef filterName, CGSWindowFilterRef* outFilter);

extern CGError CGSSetCIFilterValuesFromDictionary(CGSConnection cid, CGSWindowFilterRef filter, CFDictionaryRef filterValues);

extern CGError CGSAddWindowFilter(CGSConnection cid, CGSWindowID wid, CGSWindowFilterRef filter, int flags);


void enableBlurForWindow(NSWindow* window);
