////////////////////////////////////////////////////////////////////////////////
//  
//  FSEvent.h
//  
//  KPToolbox
//  
//  Created by Konstantin Pavlikhin on 22/03/11.
//  
////////////////////////////////////////////////////////////////////////////////

#import <Foundation/Foundation.h>

@interface FSEvent : NSObject

@property(readwrite, assign) NSUInteger eventID;

@property(readwrite, retain) NSDate* date;

@property(readwrite, retain) NSString* path;

@property(readwrite, assign) FSEventStreamEventFlags flag;

+ (FSEvent*) eventWithID: (NSUInteger) theID date: (NSDate*) theDate path: (NSString*) thePath flag: (FSEventStreamEventFlags) theFlag;

- (id) initWithID: (NSUInteger) theID date: (NSDate*) theDate path: (NSString*) thePath flag: (FSEventStreamEventFlags) theFlag;

@end
