////////////////////////////////////////////////////////////////////////////////
//  
//  NSFileManager+Lockpick.h
//  
//  KPToolbox
//  
//  Created by Konstantin Pavlikhin on 15/12/11.
//  
////////////////////////////////////////////////////////////////////////////////

#import <Foundation/Foundation.h>

@interface NSFileManager (Lockpick)

- (BOOL) isItemLockedAtPath: (NSString*) itemPath;

- (BOOL) lockItemAtURL: (NSString*) itemPath error: (NSError**) error;

- (BOOL) unlockItemAtPath: (NSString*) itemPath error: (NSError**) error;

@end
