////////////////////////////////////////////////////////////////////////////////
//  
//  NSObject+IfResponds.h
//  
//  KPToolbox
//  
//  Created by Konstantin Pavlikhin on 13/09/11.
//  
////////////////////////////////////////////////////////////////////////////////

#import <Foundation/Foundation.h>

@interface DelegateProxy : NSProxy
{
  @private
    id delegate;
}

+ (id) delegateProxyWithDelegate: (id) delegate;

- (id) initWithDelegate: (id) delegate;

@end

@interface NSObject (IfResponds)

- (id) ifResponds;

@end
