////////////////////////////////////////////////////////////////////////////////
//  
//  AutoCoder.h
//  
//  KPToolbox
//  
//  Created by Konstantin Pavlikhin on 15/04/11.
//  
////////////////////////////////////////////////////////////////////////////////

#import <Foundation/Foundation.h>

@interface AutoCoder : NSObject

+ (NSArray*) propertyNamesListForClass: (Class) class;

+ (void) autoEncodeObject: (id) object ofClass: (Class) class withCoder: (NSCoder*) coder;

+ (void) autoDecodeObject: (id) object ofClass: (Class) class withCoder: (NSCoder*) coder;

@end
