//
//  FunnyMacros.h
//  KPToolbox
//
//  Created by Konstantin Pavlikhin on 5/8/12.
//  Copyright (c) 2013 Konstantin Pavlikhin. All rights reserved.
//

#ifndef ReleaseAndSetToNil
  
  #define ReleaseAndSetToNil(object) if(object) { [object release], object = nil; }
  
#endif

// Если такой макрос еще не определен...
#ifndef RegisterValueTransformerWithDefaultName
  
  #if __has_feature(objc_arc)
    
    // Если АРК включен — подставляем строчку без авторелиза.
    #define RegisterValueTransformerWithDefaultName(Class) [NSValueTransformer setValueTransformer: [Class new] forName: @"Class"]
    
  #else
    
    // Иначе — добавляем авторелиз.
    #define RegisterValueTransformerWithDefaultName(Class) [NSValueTransformer setValueTransformer: [[Class new] autorelease] forName: @"Class"]
    
  #endif
  
#endif
