////////////////////////////////////////////////////////////////////////////////
//  
//  SHA1Hasher.h
//  
//  KPToolbox
//  
//  Created by Konstantin Pavlikhin on 01/08/10.
//  
////////////////////////////////////////////////////////////////////////////////

#import <Foundation/Foundation.h>

#import <CommonCrypto/CommonDigest.h>

@interface SHA1Hasher : NSObject
{
  CC_SHA1_CTX context;
}

- (id) initWithFileHandle: (NSFileHandle*) handle;

- (BOOL) proceedWithFileHandle: (NSFileHandle*) handle;

- (BOOL) updateWithData: (NSData*) additionalData;

// Следующие методы нельзя вызывать более одного раза:

- (NSData*) digestAsData;

- (NSString*) digestAsHexString;

@end
